/home/techb158/.nvm/test/fast
NameSizeModeActions
Aliases/-0775rm
Listing paths/-0775rm
Listing versions/-0775rm
Set Colors/-0775rm
Unit tests/-0775rm
nvm should remove the last trailing slash in $NVM_DIR3950664editdlrm
Running 'nvm alias' should create a file in the alias directory1090775editdlrm
Running 'nvm current' should display current nvm environment2290775editdlrm
Running 'nvm deactivate' should unset the nvm environment variables9730775editdlrm
Running 'nvm install' with '--reinstall-packages-from' requires a valid version25110775editdlrm
Running 'nvm install' with an invalid version fails nicely3750775editdlrm
Running 'nvm unalias' should remove the alias file1470775editdlrm
Running 'nvm uninstall' should remove the appropriate directory1160775editdlrm
Running 'nvm uninstall' with incorrect file permissions fails nicely3200775editdlrm
Running 'nvm unload' should unset all function and variables6850775editdlrm
Running 'nvm use' should drop CR char automatically5120775editdlrm
Running 'nvm use foo' where 'foo' is circular aborts9920775editdlrm
Running 'nvm use iojs' uses latest io.js version10290775editdlrm
Running 'nvm use system' should work as expected15560775editdlrm
Running 'nvm use x' should create and change the 'current' symlink7700775editdlrm
Running 'nvm use x' should not create the 'current' symlink if $NVM_SYMLINK_CURRENT is false20250775editdlrm
setup1890775editdlrm
setup_dir1950775editdlrm
Sourcing nvm.sh should make the nvm command available410775editdlrm
Sourcing nvm.sh should not modify parameters of caller620775editdlrm
teardown1960775editdlrm
teardown_dir1570775editdlrm
Edit: /home/techb158/.nvm/test/fast/Running 'nvm use foo' where 'foo' is circular aborts (992B)
#!/bin/sh set -ex die () { echo "$@" ; cleanup ; exit 1; } cleanup() { rm -rf "$(nvm_alias_path)/foo" } \. ../../nvm.sh nvm_make_alias foo foo set +ex # needed for stderr OUTPUT="$(nvm use foo 2>&1)" set -ex EXPECTED_OUTPUT='The alias "foo" leads to an infinite loop. Aborting.' [ "_${OUTPUT}" = "_${EXPECTED_OUTPUT}" ] \ || die "'nvm use foo' did not output >${EXPECTED_OUTPUT}<; got >${OUTPUT}<" set +ex # needed for stderr EXIT_CODE="$(nvm use foo 2>/dev/null ; echo $?)" set -ex [ "_$EXIT_CODE" = "_8" ] || die "Expected exit code 8; got ${EXIT_CODE}" set +ex # needed for stderr OUTPUT="$(nvm use --silent foo 2>&1)" set -ex EXPECTED_OUTPUT='' [ "_${OUTPUT}" = "_${EXPECTED_OUTPUT}" ] \ || die "'nvm use --silent foo' did not output >${EXPECTED_OUTPUT}<; got >${OUTPUT}<" set +ex # needed for stderr EXIT_CODE="$(nvm use --silent foo 2>/dev/null ; echo $?)" set -ex [ $EXIT_CODE -eq 8 ] || die "Expected exit code 8 from 'nvm use --silent foo'; got ${EXIT_CODE}" cleanup